Bug 14266 - message from modprobe : insmod (null) failed
message from modprobe : insmod (null) failed
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-19 01:11 EDT by Nicolas CROISET
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 18:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas CROISET 2000-07-19 01:11:25 EDT
Hello,

I have two ppp links. When one of these fail, there is an automatic relaunch. This launch do the same thing when I start the machine.

Extract from /var/log/messages

Jul 18 09:04:13 ftclient1 pppd[951]: pppd 2.3.11 started by root, uid 0
Jul 18 09:04:13 ftclient1 pppd[951]: Using interface ppp0
Jul 18 09:04:13 ftclient1 pppd[951]: Connect: ppp0 <--> /dev/ttya0
Jul 18 09:04:13 ftclient1 adsl1: pptp1 startup succeeded
Jul 18 09:04:31 ftclient1 pppd[951]: Remote message: Login ok
Jul 18 09:04:31 ftclient1 pppd[951]: local  IP address XXX.251.XX.XXX
Jul 18 09:04:31 ftclient1 pppd[951]: remote IP address XXX.251.XX.1
Jul 18 13:07:34 ftclient1 modprobe: modprobe: insmod (null) failed             <--------------
Jul 18 14:21:12 ftclient1 pppd[700]: Terminating on signal 15.

When I do an lsmod :
Module                  Size  Used by
lockd                  30344   1  (autoclean)
sunrpc                 52132   1  (autoclean) [lockd]
3c59x                  18980   2  (autoclean)
acquirewdt              1116   1
softdog                 1316   0  (unused)
ppp                    19500   4
slip                    7644   0  (unused)
slhc                    4312   0  [ppp slip]

---------------
in /etc/conf.modules

alias eth0 3c59x
alias parport_lowlevel parport_pc

---------------
in /etc/rc.d/rc.modules

insmod slhc
insmod slip
insmod ppp

-----------
Just for a note it was the same problem when I have no rc.modules file, it was just a test if I load on startup ppp modules.

Thanks

Just for note, I have a crash (Kernel panic) of the machine at 4:00AM when I have this message.

Perhaps there is a link with this bug I declare a few days ago : 13773
Comment 1 Nicolas CROISET 2000-09-26 13:22:21 EDT
I had update with this version : modutils-2.3.14-2, and I have the same problem.

Sep 26 15:34:38 ftclient1 pppd[24721]: demand_script PPP plugin: script '/ft/bin/running.sh' done
Sep 26 15:47:40 ftclient1 modprobe: modprobe: insmod (null) failed
Sep 26 16:02:40 ftclient1 modprobe: modprobe: insmod (null) failed
Sep 26 16:17:50 ftclient1 modprobe: modprobe: insmod (null) failed
Sep 26 16:22:51 ftclient1 modprobe: modprobe: insmod (null) failed
Sep 26 16:27:44 ftclient1 modprobe: modprobe: insmod (null) failed
Sep 26 17:37:52 ftclient1 modprobe: modprobe: insmod (null) failed

Bye.
Comment 2 Bill Nottingham 2001-07-06 18:52:06 EDT
It sounds like a problem with the modules.dep file, in that it's trying
to load a module with no name.
Comment 3 Bill Nottingham 2002-07-23 16:21:49 EDT
At this point, I don't think this is going to be fixed. We haven't seen this in
testing ppp here.

Note You need to log in before you can comment on or make changes to this bug.